#!/bin/bash
FLASHPORT="/dev/ttyACM0"
echo "This will flash Espruino to your ESP32C3. If you don't want, press CTRL-C now!"
read -n1
#echo "Flashing bootloader..."
#sudo esptool --port $FLASHPORT write_flash 0 bootloader.bin
#echo "Flashing partition-table..."
#sudo esptool --port $FLASHPORT write_flash 32768 partition-table.bin
echo "Flashing Espruino firmware..."
sudo esptool --port $FLASHPORT write_flash 65536 espruino-esp32c3.bin
echo "All done"

